import 'package:flutter/material.dart';
import 'package:wyatt_bloc_layout/wyatt_bloc_layout.dart';
import 'package:wyatt_component_copy_with_extension/component_copy_with_extension.dart';

part 'custom_app_bar.g.dart';

@ComponentCopyWithExtension()
class CustomAppBar extends AppBarComponent with $CustomAppBarCWMixin {
  const CustomAppBar({super.title});
  @override
  Widget build(BuildContext context) => AppBar(
        title: Text(title ?? 'Title'),
      );
}
